summaryrefslogtreecommitdiffstats
path: root/test/test_helper.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:36:25 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:36:25 +0000
commit6077d258b500b20e1e705f5cda567400240c7804 (patch)
treea5d41c050bd69f91476994b0d30c0a8f1e7957b5 /test/test_helper.sh
parentInitial commit. (diff)
downloaddevscripts-6077d258b500b20e1e705f5cda567400240c7804.tar.xz
devscripts-6077d258b500b20e1e705f5cda567400240c7804.zip
Adding upstream version 2.21.3+deb11u1.upstream/2.21.3+deb11u1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--test/test_helper.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/test/test_helper.sh b/test/test_helper.sh
new file mode 100644
index 0000000..579780c
--- /dev/null
+++ b/test/test_helper.sh
@@ -0,0 +1,26 @@
+setUp() {
+ tmpdir=$(mktemp -d)
+ log="$tmpdir/log"
+}
+
+tearDown() {
+ rm -rf "$tmpdir"
+}
+
+assertPasses() {
+ local rc=0
+ "$@" > "$log" 2>&1 || rc=$?
+ if [ "$rc" -ne 0 ]; then
+ cat "$log"
+ fail "command failed: «$*» (expected pass)"
+ fi
+}
+
+assertFails() {
+ local rc=0
+ "$@" > "$log" 2>&1 || rc=$?
+ if [ "$rc" -eq 0 ]; then
+ cat "$log"
+ fail "command passed: «$*» (expected fail)"
+ fi
+}